| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros | Typedefs | Functions
jdmerge.c File Reference
`#include "jinclude.h"`
`#include "jpeglib.h"`

Go to the source code of this file.

## Classes
struct | my_upsampler

## Macros
#define | JPEG_INTERNALS
#define | SCALEBITS 16 /* speediest right-shift on some machines */
#define | ONE_HALF ((INT32) 1 << (SCALEBITS-1))
#define | FIX(x) ((INT32) ((x) * (1L<<SCALEBITS) + 0.5))

## Typedefs
typedef my_upsampler * | my_upsample_ptr

## Functions
| build_ycc_rgb_table (j_decompress_ptr cinfo)
| start_pass_merged_upsample (j_decompress_ptr cinfo)
| merged_2v_upsample (j_decompress_ptr cinfo, JSAMPIMAGE input_buf, JDIMENSION *in_row_group_ctr, JDIMENSION in_row_groups_avail, JSAMPARRAY output_buf, JDIMENSION *out_row_ctr, JDIMENSION out_rows_avail)
| merged_1v_upsample (j_decompress_ptr cinfo, JSAMPIMAGE input_buf, JDIMENSION *in_row_group_ctr, JDIMENSION in_row_groups_avail, JSAMPARRAY output_buf, JDIMENSION *out_row_ctr, JDIMENSION out_rows_avail)
| h2v1_merged_upsample (j_decompress_ptr cinfo, JSAMPIMAGE input_buf, JDIMENSION in_row_group_ctr, JSAMPARRAY output_buf)
| h2v2_merged_upsample (j_decompress_ptr cinfo, JSAMPIMAGE input_buf, JDIMENSION in_row_group_ctr, JSAMPARRAY output_buf)
| jinit_merged_upsampler (j_decompress_ptr cinfo)

## Macro Definition Documentation

#define FIX | ( |  | x | ) | ((INT32) ((x) * (1L<<SCALEBITS) + 0.5))

Definition at line 74 of file jdmerge.c.

#define JPEG_INTERNALS

Definition at line 35 of file jdmerge.c.

#define ONE_HALF ((INT32) 1 << (SCALEBITS-1))

Definition at line 73 of file jdmerge.c.

#define SCALEBITS 16 /* speediest right-shift on some machines */

Definition at line 72 of file jdmerge.c.

## Typedef Documentation

typedef my_upsampler* my_upsample_ptr

Definition at line 70 of file jdmerge.c.

## Function Documentation

build_ycc_rgb_table | ( | j_decompress_ptr | cinfo | ) |

Definition at line 83 of file jdmerge.c.

h2v1_merged_upsample | ( | j_decompress_ptr | cinfo,
|  | JSAMPIMAGE | input_buf,
|  | JDIMENSION | in_row_group_ctr,
|  | JSAMPARRAY | output_buf
| ) |  |

Definition at line 226 of file jdmerge.c.

h2v2_merged_upsample | ( | j_decompress_ptr | cinfo,
|  | JSAMPIMAGE | input_buf,
|  | JDIMENSION | in_row_group_ctr,
|  | JSAMPARRAY | output_buf
| ) |  |

Definition at line 288 of file jdmerge.c.

jinit_merged_upsampler | ( | j_decompress_ptr | cinfo | ) |

Definition at line 370 of file jdmerge.c.

merged_1v_upsample | ( | j_decompress_ptr | cinfo,
|  | JSAMPIMAGE | input_buf,
|  | JDIMENSION * | in_row_group_ctr,
|  | JDIMENSION | in_row_groups_avail,
|  | JSAMPARRAY | output_buf,
|  | JDIMENSION * | out_row_ctr,
|  | JDIMENSION | out_rows_avail
| ) |  |

Definition at line 193 of file jdmerge.c.

merged_2v_upsample | ( | j_decompress_ptr | cinfo,
|  | JSAMPIMAGE | input_buf,
|  | JDIMENSION * | in_row_group_ctr,
|  | JDIMENSION | in_row_groups_avail,
|  | JSAMPARRAY | output_buf,
|  | JDIMENSION * | out_row_ctr,
|  | JDIMENSION | out_rows_avail
| ) |  |

Definition at line 144 of file jdmerge.c.

start_pass_merged_upsample | ( | j_decompress_ptr | cinfo | ) |

Definition at line 126 of file jdmerge.c.